[SKL, i915_bpo] Rotation doesn't work

Bug #1447143 reported by Timo Aaltonen on 2015-04-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Vivid
High
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Timo Aaltonen
Vivid
High
Timo Aaltonen

Bug Description

[Impact]

Rotating the display on Skylake results in a blank screen, needs this for the X driver

commit 15c307d70e00bc035bb61be5d8b6f727925e3d34
Author: Chris Wilson <email address hidden>
Date: Tue Mar 10 08:48:48 2015 +0000

    sna: Force frontbuffer to CPU for randr fallback

and these two for i915_bpo in kernel

commit 3b7a5119b5d2def1161226a4c6a643db537dff7e
Author: Sonika Jindal <email address hidden>
Date: Fri Apr 10 14:37:29 2015 +0530

    drm/i915/skl: Support for 90/270 rotation

commit d81063669a99b216eb6b9dfb17add4f38a839674
Author: Sonika Jindal <email address hidden>
Date: Fri Apr 10 14:37:28 2015 +0530

    drm/i915/skl: Allow universal planes to position

[Test Case]

Use the display capplet, select rotate and apply. It should rotate instead of blanking the display.

[Regression potential]

Nope.

Timo Aaltonen (tjaalton) on 2015-04-22
Changed in xserver-xorg-video-intel (Ubuntu Vivid):
assignee: nobody → Timo Aaltonen (tjaalton)
importance: Undecided → High
status: New → Triaged
Timo Aaltonen (tjaalton) on 2015-04-22
description: updated
Changed in linux (Ubuntu Vivid):
status: New → Triaged
summary: - [SKL] Rotation doesn't work
+ [SKL, i915_bpo] Rotation doesn't work
Changed in linux (Ubuntu Vivid):
importance: Undecided → High

Hello Timo, or anyone else affected,

Accepted into utopic-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in xserver-xorg-video-intel (Ubuntu Vivid):
status: Triaged → In Progress
Timo Aaltonen (tjaalton) wrote :

Verified this myself with a self built kernel.

tags: added: verification-done
removed: verification-needed
Iain Lane (laney) on 2015-05-05
no longer affects: xserver-xorg-video-intel (Ubuntu Utopic)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.917-1~exp1ubuntu2.1

---------------
xserver-xorg-video-intel (2:2.99.917-1~exp1ubuntu2.1) vivid; urgency=medium

  * sna-force-frontbuffer-to-cpu-for-randr-fallback.diff: Fix rotation
    on SKL. (LP: #1447143)
  * source: Add extend-diff-ignore to not complain about symlinks.
 -- Timo Aaltonen <email address hidden> Wed, 22 Apr 2015 19:48:22 +0300

Changed in xserver-xorg-video-intel (Ubuntu Vivid):
status: In Progress → Fix Released

The verification of the Stable Release Update for xserver-xorg-video-intel has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.917-1~exp1ubuntu2.2

---------------
xserver-xorg-video-intel (2:2.99.917-1~exp1ubuntu2.2) vivid-proposed; urgency=medium

  * fix-yuv-to-rgb-shared-on-intel-gen8.patch: Fix faulty yuv2rgb translation
    on Intel Generation 8 Graphics. (LP: #1449892)

 -- Alessio Treglia <email address hidden> Fri, 29 May 2015 11:46:27 +0100

Changed in xserver-xorg-video-intel (Ubuntu):
status: In Progress → Fix Released
Timo Aaltonen (tjaalton) wrote :

the kernel bits were included in -17

no longer affects: linux (Ubuntu Utopic)
Changed in linux (Ubuntu Vivid):
status: Triaged → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers